org.eclipse.viatra.cep.core.metamodels.events.impl

## Class EventsPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.viatra.cep.core.metamodels.events.impl.EventsPackageImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, EventsPackage

      public class EventsPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements EventsPackage

  An implementation of the model Package.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.cep.core.metamodels.events.EventsPackage

      `EventsPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.cep.core.metamodels.events.EventsPackage

      `ABSTRACT_MULTIPLICITY, ABSTRACT_MULTIPLICITY_FEATURE_COUNT, ABSTRACT_MULTIPLICITY_OPERATION_COUNT, AND, AND_FEATURE_COUNT, AND_OPERATION_COUNT, AT_LEAST_ONE, AT_LEAST_ONE_FEATURE_COUNT, AT_LEAST_ONE_OPERATION_COUNT, ATOMIC_EVENT_PATTERN, ATOMIC_EVENT_PATTERN__AUTOMATON, ATOMIC_EVENT_PATTERN__EVENT_MODEL, ATOMIC_EVENT_PATTERN__ID, ATOMIC_EVENT_PATTERN__PARAMETER_NAMES, ATOMIC_EVENT_PATTERN__TYPE, ATOMIC_EVENT_PATTERN_FEATURE_COUNT, ATOMIC_EVENT_PATTERN_OPERATION_COUNT, COMPLEX_EVENT_OPERATOR, COMPLEX_EVENT_OPERATOR_FEATURE_COUNT, COMPLEX_EVENT_OPERATOR_OPERATION_COUNT, COMPLEX_EVENT_PATTERN, COMPLEX_EVENT_PATTERN__AUTOMATON, COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS, COMPLEX_EVENT_PATTERN__EVENT_CONTEXT, COMPLEX_EVENT_PATTERN__EVENT_MODEL, COMPLEX_EVENT_PATTERN__ID, COMPLEX_EVENT_PATTERN__OPERATOR, COMPLEX_EVENT_PATTERN__PARAMETER_NAMES, COMPLEX_EVENT_PATTERN__TIMEWINDOW, COMPLEX_EVENT_PATTERN_FEATURE_COUNT, COMPLEX_EVENT_PATTERN_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EVENT, EVENT__IS_PROCESSED, EVENT__SOURCE, EVENT__TIMESTAMP, EVENT__TYPE, EVENT_FEATURE_COUNT, EVENT_MODEL, EVENT_MODEL__EVENT_PATTERNS, EVENT_MODEL_FEATURE_COUNT, EVENT_MODEL_OPERATION_COUNT, EVENT_OPERATION_COUNT, EVENT_PATTERN, EVENT_PATTERN__AUTOMATON, EVENT_PATTERN__EVENT_MODEL, EVENT_PATTERN__ID, EVENT_PATTERN__PARAMETER_NAMES, EVENT_PATTERN_FEATURE_COUNT, EVENT_PATTERN_OPERATION_COUNT, EVENT_PATTERN_REFERENCE, EVENT_PATTERN_REFERENCE__EVENT_PATTERN, EVENT_PATTERN_REFERENCE__MULTIPLICITY, EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES, EVENT_PATTERN_REFERENCE_FEATURE_COUNT, EVENT_PATTERN_REFERENCE_OPERATION_COUNT, EVENT_SOURCE, EVENT_SOURCE___GET_ID, EVENT_SOURCE_FEATURE_COUNT, EVENT_SOURCE_OPERATION_COUNT, FOLLOWS, FOLLOWS_FEATURE_COUNT, FOLLOWS_OPERATION_COUNT, INFINITE, INFINITE_FEATURE_COUNT, INFINITE_OPERATION_COUNT, MULTIPLICITY, MULTIPLICITY__VALUE, MULTIPLICITY_FEATURE_COUNT, MULTIPLICITY_OPERATION_COUNT, NEG, NEG_FEATURE_COUNT, NEG_OPERATION_COUNT, OR, OR_FEATURE_COUNT, OR_OPERATION_COUNT, TIMEWINDOW, TIMEWINDOW__TIME, TIMEWINDOW_FEATURE_COUNT, TIMEWINDOW_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EClass` | `getAbstractMultiplicity()`
    `org.eclipse.emf.ecore.EClass` | `getAND()`
    `org.eclipse.emf.ecore.EClass` | `getAtLeastOne()`
    `org.eclipse.emf.ecore.EAttribute` | `getAtomicEventPattern_Type()`
    `org.eclipse.emf.ecore.EClass` | `getAtomicEventPattern()`
    `org.eclipse.emf.ecore.EClass` | `getComplexEventOperator()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_ContainedEventPatterns()`
    `org.eclipse.emf.ecore.EAttribute` | `getComplexEventPattern_EventContext()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_Operator()`
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_Timewindow()`
    `org.eclipse.emf.ecore.EClass` | `getComplexEventPattern()`
    `org.eclipse.emf.ecore.EAttribute` | `getEvent_IsProcessed()`
    `org.eclipse.emf.ecore.EReference` | `getEvent_Source()`
    `org.eclipse.emf.ecore.EAttribute` | `getEvent_Timestamp()`
    `org.eclipse.emf.ecore.EAttribute` | `getEvent_Type()`
    `org.eclipse.emf.ecore.EClass` | `getEvent()`
    `org.eclipse.emf.ecore.EReference` | `getEventModel_EventPatterns()`
    `org.eclipse.emf.ecore.EClass` | `getEventModel()`
    `org.eclipse.emf.ecore.EReference` | `getEventPattern_Automaton()`
    `org.eclipse.emf.ecore.EReference` | `getEventPattern_EventModel()`
    `org.eclipse.emf.ecore.EAttribute` | `getEventPattern_Id()`
    `org.eclipse.emf.ecore.EAttribute` | `getEventPattern_ParameterNames()`
    `org.eclipse.emf.ecore.EClass` | `getEventPattern()`
    `org.eclipse.emf.ecore.EReference` | `getEventPatternReference_EventPattern()`
    `org.eclipse.emf.ecore.EReference` | `getEventPatternReference_Multiplicity()`
    `org.eclipse.emf.ecore.EAttribute` | `getEventPatternReference_ParameterSymbolicNames()`
    `org.eclipse.emf.ecore.EClass` | `getEventPatternReference()`
    `EventsFactory` | `getEventsFactory()`
    `org.eclipse.emf.ecore.EOperation` | `getEventSource__GetId()`
    `org.eclipse.emf.ecore.EClass` | `getEventSource()`
    `org.eclipse.emf.ecore.EClass` | `getFOLLOWS()`
    `org.eclipse.emf.ecore.EClass` | `getInfinite()`
    `org.eclipse.emf.ecore.EAttribute` | `getMultiplicity_Value()`
    `org.eclipse.emf.ecore.EClass` | `getMultiplicity()`
    `org.eclipse.emf.ecore.EClass` | `getNEG()`
    `org.eclipse.emf.ecore.EClass` | `getOR()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimewindow_Time()`
    `org.eclipse.emf.ecore.EClass` | `getTimewindow()`
    `static EventsPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static EventsPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `EventsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `EventsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated:

    - #### getEventModel

          public org.eclipse.emf.ecore.EClass getEventModel()

      Specified by:
        `getEventModel` in interface `EventsPackage`
      Returns:
        the meta object for class 'Event Model'.
      See Also:
        `EventModel`
      Generated:

    - #### getEventModel_EventPatterns

          public org.eclipse.emf.ecore.EReference getEventModel_EventPatterns()

      Specified by:
        `getEventModel_EventPatterns` in interface `EventsPackage`
      Returns:
        the meta object for the containment reference list 'Event Patterns'.
      See Also:
        `EventModel.getEventPatterns()`, `EventsPackage.getEventModel()`
      Generated:

    - #### getEventPattern

          public org.eclipse.emf.ecore.EClass getEventPattern()

      Specified by:
        `getEventPattern` in interface `EventsPackage`
      Returns:
        the meta object for class 'Event Pattern'.
      See Also:
        `EventPattern`
      Generated:

    - #### getEventPattern_EventModel

          public org.eclipse.emf.ecore.EReference getEventPattern_EventModel()

      Specified by:
        `getEventPattern_EventModel` in interface `EventsPackage`
      Returns:
        the meta object for the container reference 'Event Model'.
      See Also:
        `EventPattern.getEventModel()`, `EventsPackage.getEventPattern()`
      Generated:

    - #### getEventPattern_Automaton

          public org.eclipse.emf.ecore.EReference getEventPattern_Automaton()

      Specified by:
        `getEventPattern_Automaton` in interface `EventsPackage`
      Returns:
        the meta object for the reference 'Automaton'.
      See Also:
        `EventPattern.getAutomaton()`, `EventsPackage.getEventPattern()`
      Generated:

    - #### getEventPattern_Id

          public org.eclipse.emf.ecore.EAttribute getEventPattern_Id()

      Specified by:
        `getEventPattern_Id` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `EventPattern.getId()`, `EventsPackage.getEventPattern()`
      Generated:

    - #### getEventPattern_ParameterNames

          public org.eclipse.emf.ecore.EAttribute getEventPattern_ParameterNames()

      Specified by:
        `getEventPattern_ParameterNames` in interface `EventsPackage`
      Returns:
        the meta object for the attribute list 'Parameter Names'.
      See Also:
        `EventPattern.getParameterNames()`, `EventsPackage.getEventPattern()`
      Generated:

    - #### getAtomicEventPattern

          public org.eclipse.emf.ecore.EClass getAtomicEventPattern()

      Specified by:
        `getAtomicEventPattern` in interface `EventsPackage`
      Returns:
        the meta object for class 'Atomic Event Pattern'.
      See Also:
        `AtomicEventPattern`
      Generated:

    - #### getAtomicEventPattern_Type

          public org.eclipse.emf.ecore.EAttribute getAtomicEventPattern_Type()

      Specified by:
        `getAtomicEventPattern_Type` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `AtomicEventPattern.getType()`, `EventsPackage.getAtomicEventPattern()`
      Generated:

    - #### getComplexEventPattern

          public org.eclipse.emf.ecore.EClass getComplexEventPattern()

      Specified by:
        `getComplexEventPattern` in interface `EventsPackage`
      Returns:
        the meta object for class 'Complex Event Pattern'.
      See Also:
        `ComplexEventPattern`
      Generated:

    - #### getComplexEventPattern_Operator

          public org.eclipse.emf.ecore.EReference getComplexEventPattern_Operator()

      Specified by:
        `getComplexEventPattern_Operator` in interface `EventsPackage`
      Returns:
        the meta object for the containment reference 'Operator'.
      See Also:
        `ComplexEventPattern.getOperator()`, `EventsPackage.getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_Timewindow

          public org.eclipse.emf.ecore.EReference getComplexEventPattern_Timewindow()

      Specified by:
        `getComplexEventPattern_Timewindow` in interface `EventsPackage`
      Returns:
        the meta object for the containment reference 'Timewindow'.
      See Also:
        `ComplexEventPattern.getTimewindow()`, `EventsPackage.getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_ContainedEventPatterns

          public org.eclipse.emf.ecore.EReference getComplexEventPattern_ContainedEventPatterns()

      Specified by:
        `getComplexEventPattern_ContainedEventPatterns` in interface `EventsPackage`
      Returns:
        the meta object for the containment reference list 'Contained Event Patterns'.
      See Also:
        `ComplexEventPattern.getContainedEventPatterns()`, `EventsPackage.getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_EventContext

          public org.eclipse.emf.ecore.EAttribute getComplexEventPattern_EventContext()

      Specified by:
        `getComplexEventPattern_EventContext` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Event Context'.
      See Also:
        `ComplexEventPattern.getEventContext()`, `EventsPackage.getComplexEventPattern()`
      Generated:

    - #### getEventPatternReference

          public org.eclipse.emf.ecore.EClass getEventPatternReference()

      Specified by:
        `getEventPatternReference` in interface `EventsPackage`
      Returns:
        the meta object for class 'Event Pattern Reference'.
      See Also:
        `EventPatternReference`
      Generated:

    - #### getEventPatternReference_EventPattern

          public org.eclipse.emf.ecore.EReference getEventPatternReference_EventPattern()

      Specified by:
        `getEventPatternReference_EventPattern` in interface `EventsPackage`
      Returns:
        the meta object for the containment reference 'Event Pattern'.
      See Also:
        `EventPatternReference.getEventPattern()`, `EventsPackage.getEventPatternReference()`
      Generated:

    - #### getEventPatternReference_Multiplicity

          public org.eclipse.emf.ecore.EReference getEventPatternReference_Multiplicity()

      Specified by:
        `getEventPatternReference_Multiplicity` in interface `EventsPackage`
      Returns:
        the meta object for the containment reference 'Multiplicity'.
      See Also:
        `EventPatternReference.getMultiplicity()`, `EventsPackage.getEventPatternReference()`
      Generated:

    - #### getEventPatternReference_ParameterSymbolicNames

          public org.eclipse.emf.ecore.EAttribute getEventPatternReference_ParameterSymbolicNames()

      Specified by:
        `getEventPatternReference_ParameterSymbolicNames` in interface `EventsPackage`
      Returns:
        the meta object for the attribute list 'Parameter Symbolic Names'.
      See Also:
        `EventPatternReference.getParameterSymbolicNames()`, `EventsPackage.getEventPatternReference()`
      Generated:

    - #### getEvent

          public org.eclipse.emf.ecore.EClass getEvent()

      Specified by:
        `getEvent` in interface `EventsPackage`
      Returns:
        the meta object for class 'Event'.
      See Also:
        `Event`
      Generated:

    - #### getEvent_Type

          public org.eclipse.emf.ecore.EAttribute getEvent_Type()

      Specified by:
        `getEvent_Type` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `Event.getType()`, `EventsPackage.getEvent()`
      Generated:

    - #### getEvent_Timestamp

          public org.eclipse.emf.ecore.EAttribute getEvent_Timestamp()

      Specified by:
        `getEvent_Timestamp` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Timestamp'.
      See Also:
        `Event.getTimestamp()`, `EventsPackage.getEvent()`
      Generated:

    - #### getEvent_Source

          public org.eclipse.emf.ecore.EReference getEvent_Source()

      Specified by:
        `getEvent_Source` in interface `EventsPackage`
      Returns:
        the meta object for the reference 'Source'.
      See Also:
        `Event.getSource()`, `EventsPackage.getEvent()`
      Generated:

    - #### getEvent_IsProcessed

          public org.eclipse.emf.ecore.EAttribute getEvent_IsProcessed()

      Specified by:
        `getEvent_IsProcessed` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Is Processed'.
      See Also:
        `Event.isIsProcessed()`, `EventsPackage.getEvent()`
      Generated:

    - #### getEventSource

          public org.eclipse.emf.ecore.EClass getEventSource()

      Specified by:
        `getEventSource` in interface `EventsPackage`
      Returns:
        the meta object for class 'Event Source'.
      See Also:
        `EventSource`
      Generated:

    - #### getEventSource__GetId

          public org.eclipse.emf.ecore.EOperation getEventSource__GetId()

      Specified by:
        `getEventSource__GetId` in interface `EventsPackage`
      Returns:
        the meta object for the 'Get Id' operation.
      See Also:
        `EventSource.getId()`
      Generated:

    - #### getComplexEventOperator

          public org.eclipse.emf.ecore.EClass getComplexEventOperator()

      Specified by:
        `getComplexEventOperator` in interface `EventsPackage`
      Returns:
        the meta object for class 'Complex Event Operator'.
      See Also:
        `ComplexEventOperator`
      Generated:

    - #### getOR

          public org.eclipse.emf.ecore.EClass getOR()

      Specified by:
        `getOR` in interface `EventsPackage`
      Returns:
        the meta object for class 'OR'.
      See Also:
        `OR`
      Generated:

    - #### getNEG

          public org.eclipse.emf.ecore.EClass getNEG()

      Specified by:
        `getNEG` in interface `EventsPackage`
      Returns:
        the meta object for class 'NEG'.
      See Also:
        `NEG`
      Generated:

    - #### getFOLLOWS

          public org.eclipse.emf.ecore.EClass getFOLLOWS()

      Specified by:
        `getFOLLOWS` in interface `EventsPackage`
      Returns:
        the meta object for class 'FOLLOWS'.
      See Also:
        `FOLLOWS`
      Generated:

    - #### getAND

          public org.eclipse.emf.ecore.EClass getAND()

      Specified by:
        `getAND` in interface `EventsPackage`
      Returns:
        the meta object for class 'AND'.
      See Also:
        `AND`
      Generated:

    - #### getTimewindow

          public org.eclipse.emf.ecore.EClass getTimewindow()

      Specified by:
        `getTimewindow` in interface `EventsPackage`
      Returns:
        the meta object for class 'Timewindow'.
      See Also:
        `Timewindow`
      Generated:

    - #### getTimewindow_Time

          public org.eclipse.emf.ecore.EAttribute getTimewindow_Time()

      Specified by:
        `getTimewindow_Time` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Time'.
      See Also:
        `Timewindow.getTime()`, `EventsPackage.getTimewindow()`
      Generated:

    - #### getAbstractMultiplicity

          public org.eclipse.emf.ecore.EClass getAbstractMultiplicity()

      Specified by:
        `getAbstractMultiplicity` in interface `EventsPackage`
      Returns:
        the meta object for class 'Abstract Multiplicity'.
      See Also:
        `AbstractMultiplicity`
      Generated:

    - #### getMultiplicity

          public org.eclipse.emf.ecore.EClass getMultiplicity()

      Specified by:
        `getMultiplicity` in interface `EventsPackage`
      Returns:
        the meta object for class 'Multiplicity'.
      See Also:
        `Multiplicity`
      Generated:

    - #### getMultiplicity_Value

          public org.eclipse.emf.ecore.EAttribute getMultiplicity_Value()

      Specified by:
        `getMultiplicity_Value` in interface `EventsPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Multiplicity.getValue()`, `EventsPackage.getMultiplicity()`
      Generated:

    - #### getInfinite

          public org.eclipse.emf.ecore.EClass getInfinite()

      Specified by:
        `getInfinite` in interface `EventsPackage`
      Returns:
        the meta object for class 'Infinite'.
      See Also:
        `Infinite`
      Generated:

    - #### getAtLeastOne

          public org.eclipse.emf.ecore.EClass getAtLeastOne()

      Specified by:
        `getAtLeastOne` in interface `EventsPackage`
      Returns:
        the meta object for class 'At Least One'.
      See Also:
        `AtLeastOne`
      Generated:

    - #### getEventsFactory

          public EventsFactory getEventsFactory()

      Specified by:
        `getEventsFactory` in interface `EventsPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated:

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated:

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated: